org.apache.sysds.common

## Enum Types.ValueType

- java.lang.Object
- - java.lang.Enum<Types.ValueType>
  - - org.apache.sysds.common.Types.ValueType

- All Implemented Interfaces:
    Serializable, Comparable<Types.ValueType>
  Enclosing class:
    Types

      public static enum Types.ValueType
      extends Enum<Types.ValueType>

  Value types (int, double, string, boolean, unknown).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN`
    `FP32`
    `FP64`
    `INT32`
    `INT64`
    `STRING`
    `UINT8`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Types.ValueType` | `fromExternalString(String value)`
    `boolean` | `isNumeric()`
    `boolean` | `isPseudoNumeric()`
    `boolean` | `isUnknown()`
    `String` | `toExternalString()`
    `static Types.ValueType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Types.ValueType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UINT8

          public static final Types.ValueType UINT8

    - #### FP32

          public static final Types.ValueType FP32

    - #### FP64

          public static final Types.ValueType FP64

    - #### INT32

          public static final Types.ValueType INT32

    - #### INT64

          public static final Types.ValueType INT64

    - #### BOOLEAN

          public static final Types.ValueType BOOLEAN

    - #### STRING

          public static final Types.ValueType STRING

    - #### UNKNOWN

          public static final Types.ValueType UNKNOWN

  - ### Method Detail

    - #### values

          public static Types.ValueType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Types.ValueType c : Types.ValueType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Types.ValueType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isNumeric

          public boolean isNumeric()

    - #### isUnknown

          public boolean isUnknown()

    - #### isPseudoNumeric

          public boolean isPseudoNumeric()

    - #### toExternalString

          public String toExternalString()

    - #### fromExternalString

          public static Types.ValueType fromExternalString(String value)

Copyright © 2021 The Apache Software Foundation. All rights reserved.